# Get configured Postgres parameters and shared_preload_libraries Source: https://docs.orchard.hackclub.com/api/operations/databases_settings_get/ `GET /apiv1/databases/{id}/settings` Operation ID: `databases_settings_get` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "advisories": { "items": { "properties": { "key": { "type": "string" }, "message": { "type": "string" } }, "required": [ "key", "message" ], "type": "object" }, "type": "array" }, "backupCompression": { "description": "\"gzip\", \"none\", or null to derive it from the memory limit.", "type": [ "string", "null" ] }, "parameters": { "additionalProperties": { "type": "string" }, "description": "Only parameters the user has explicitly set. A parameter absent here is sized automatically from the memory limit.", "type": "object" }, "sharedPreloadLibraries": { "items": { "type": "string" }, "type": "array" } }, "required": [ "parameters", "sharedPreloadLibraries" ], "type": "object" } ```